package com.chinaitop.depot.intelligent.grainsituation.mapper;

import com.chinaitop.depot.intelligent.grainsituation.model.TActkind;
import com.chinaitop.depot.intelligent.grainsituation.model.TActkindExample;
import com.chinaitop.depot.intelligent.grainsituation.model.TActkindKey;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TActkindMapper {
    int countByExample(TActkindExample example);

    int deleteByExample(TActkindExample example);

    int deleteByPrimaryKey(TActkindKey key);

    int insert(TActkind record);

    int insertSelective(TActkind record);

    List<TActkind> selectByExample(TActkindExample example);

    TActkind selectByPrimaryKey(TActkindKey key);

    int updateByExampleSelective(@Param("record") TActkind record, @Param("example") TActkindExample example);

    int updateByExample(@Param("record") TActkind record, @Param("example") TActkindExample example);

    int updateByPrimaryKeySelective(TActkind record);

    int updateByPrimaryKey(TActkind record);
}